### Method

# AppStream Component add_relation

since: 0.12.0

#### Declaration [src]

    void
    as_component_add_relation (
      AsComponent* cpt,
      AsRelation* relation
    )

#### Description [src]

Adds a `AsRelation` to set a recommends or requires relation of component `cpt` on the item mentioned in the `AsRelation`.

Available since: 0.12.0

#### Parameters

`relation`

  Type: `AsRelation`

  A `AsRelation` instance.

  The data is owned by the caller of the method.